import {
  mockProfileEcogesture,
  mockProfileEcogestureUpdated,
} from 'tests/__mocks__/profileEcogesture.mock'
import { profileEcogestureSlice } from './profileEcogesture.slice'

describe('profileEcogesture slice', () => {
  it('should return the initial state', () => {
    const initialState = profileEcogestureSlice.reducer(undefined, {
      type: undefined,
    })
    expect(initialState).toEqual(mockProfileEcogesture)
  })

  it('should handle setProfileEcogesture', () => {
    const state = profileEcogestureSlice.reducer(
      mockProfileEcogesture,
      profileEcogestureSlice.actions.setProfileEcogesture(
        mockProfileEcogestureUpdated
      )
    )
    expect(state).toEqual(mockProfileEcogestureUpdated)
  })
})
