import { CustomPopup } from 'models'

export const mockCustomPopup: CustomPopup = {
  popupEnabled: true,
  title: 'Bold title',
  description: 'Interesting description',
  endDate: '2099-10-04T15:10:53.219+02:00',
}

export const mockCustomPopupWithLink: CustomPopup = {
  popupEnabled: true,
  title: 'Bold title',
  description:
    '<p>Allez voir la page <a href="{cozyUrl}ecogestures" target="_self">astuces</a> !!</p>',
  endDate: '2099-10-04T15:10:53.219+02:00',
}

export const mockCustomPopupOff: CustomPopup = {
  popupEnabled: false,
  title: '',
  description: '',
  endDate: '2099-10-04T15:10:53.219+02:00',
}

export const mockCustomPopupOutdated: CustomPopup = {
  popupEnabled: true,
  title: 'Hello',
  description: 'Friend',
  endDate: '2000-10-04T15:10:53.219+02:00',
}
